Package org.apache.datasketches.cpc

# Class StreamingValidation

java.lang.Object
org.apache.datasketches.cpc.StreamingValidation

public class StreamingValidation extends Object
This code is used both by unit tests, for short running tests, and by the characterization repository for longer running, more exhaustive testing. To be accessible for both, this code is part of the main hierarchy. It is not used during normal production runtime.

Author:
  Lee Rhodes, Kevin Lang

## Constructor Summary

Constructors
Constructor
Description
`StreamingValidation(int lgMinK, int lgMaxK, int trials, int ppoN, PrintStream pS, PrintWriter pW)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`start()`
Start the streaming validation process

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StreamingValidation

public StreamingValidation(int lgMinK, int lgMaxK, int trials, int ppoN, PrintStream pS, PrintWriter pW)
Constructor

Parameters:
  `lgMinK` - lgMinK
  `lgMaxK` - lgMaxK
  `trials` - trials
  `ppoN` - ppoN
  `pS` - pS
  `pW` - pW

## Method Details

### start

public void start()
Start the streaming validation process